Package: org.codehaus.groovy.classgen

## [Java] Class InnerClassVisitorHelper

- org.codehaus.groovy.classgen.InnerClassVisitorHelper

-     public abstract class InnerClassVisitorHelper
      extends ClassCodeVisitorSupport

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static void` | `addFieldInit(Parameter p, FieldNode fn, BlockStatement block)`
    `` | `protected static ClassNode` | `getClassNode(ClassNode cn, boolean isStatic)`
    `` | `protected static int` | `getObjectDistance(ClassNode cn)`
    `` | `protected static boolean` | `isStatic(InnerClassNode cn)`
    `` | `protected static void` | `setMethodDispatcherCode(BlockStatement block, Expression target, Parameter[] parameters)`
    `` | `protected static void` | `setPropertyGetterDispatcher(BlockStatement block, Expression target, Parameter[] parameters)`
    `` | `protected static void` | `setPropertySetterDispatcher(BlockStatement block, Expression target, Parameter[] parameters)`
    `` | `protected static boolean` | `shouldHandleImplicitThisForInnerClass(ClassNode cn)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitClosureExpression, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitStatementAnnotations, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Method Detail

    - #### protected static void addFieldInit(Parameter p, FieldNode fn, BlockStatement block)

    - #### protected static ClassNode getClassNode(ClassNode cn, boolean isStatic)

    - #### protected static int getObjectDistance(ClassNode cn)

    - #### protected static boolean isStatic(InnerClassNode cn)

    - #### protected static void setMethodDispatcherCode(BlockStatement block, Expression target, Parameter[] parameters)

    - #### protected static void setPropertyGetterDispatcher(BlockStatement block, Expression target, Parameter[] parameters)

    - #### protected static void setPropertySetterDispatcher(BlockStatement block, Expression target, Parameter[] parameters)

    - #### protected static boolean shouldHandleImplicitThisForInnerClass(ClassNode cn)